#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"

#define OF_ADDON_USING_OFOPENCV
#define OF_ADDON_USING_OFNETWORK
#define OF_ADDON_USING_OBJLOADER
#define OF_ADDON_USING_OFDIRLIST
#define OF_ADDON_USING_OFXMLSETTINGS
#define OF_ADDON_USING_OFOSC
#define OF_ADDON_USING_OFDIRLIST
#define OF_ADDON_USING_OFTHREAD

#include "ofAddons.h"


#include "Poco/URIStreamOpener.h"
#include "Poco/StreamCopier.h"
#include "Poco/Path.h"
#include "Poco/URI.h"
#include "Poco/Exception.h"
#include "Poco/Net/HTTPStreamFactory.h"
#include "Poco/Net/FTPStreamFactory.h"
#include <memory>
#include <iostream>


using Poco::URIStreamOpener;
using Poco::StreamCopier;
using Poco::Path;
using Poco::URI;
using Poco::Exception;
using Poco::Net::HTTPStreamFactory;
using Poco::Net::FTPStreamFactory;

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		ofImage img;

};

#endif	

